%define name           basket
%define longtitle      BasKet for KDE
%define version        0.6.0
%define release        %mkrel 1.beta2.3


Name:           %name
Summary:        %longtitle
Version:        %version
Release:        %release
URL:           	http://basket.kde.org/
Source0:        %{name}-%{version}Beta2.tar.bz2

Source1:        cr16-app-basket.png
Source2:	cr32-app-basket.png
Source3:	cr48-app-basket.png
Patch1:         basket-0.6.0-fix-compile.patch.bz2
Patch2:		basket-0.6.0-fix-compile.patch2
Patch3:         cvs-04062006.patch
Group:		Office
BuildRoot:      %{_tmppath}/%{name}-buildroot
License:	GPL
BuildRequires:  kdelibs-devel
BuildRequires:  libkdepim-kontact-devel
Requires:	kdebase >= 3.0

%description
This application is mainly an all-purpose notes taker. 
It provide several baskets where to drop every sort of 
items: text, rich text, links, images, sounds, files, 
colors, application launcher...
Objects can be edited, copied, dragged... So, you can 
arrange them as you want !
This application can be used to quickly drop web objects 
(link, text, images...) or notes, as well as to free your 
clutered desktop (if any).
It is also useful to collect informations for a report. 
Those data can be shared with co-workers by exporting 
baskets to HTML.



%prep
rm -rf $RPM_BUILD_ROOT 

%setup -q -n %{name}-%{version}Beta2
%patch1 -p1 -b .fix_compile
%patch2 -p1 -b .fix_compile
%patch3 -p1 -b .sync_with_cvs

%build
make -f Makefile.cvs
%configure --disable-rpath \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif	




%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %name


# Menu
install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl %name "Office/Accessories" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%name

#icons
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%if %mdkversion > 200600
%update_icon_cache crystalsvg
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%clean_icon_cache crystalsvg
%endif


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/basket
%{_menudir}/*

%_libdir/kde3/kcm_basket.la
%_libdir/kde3/kcm_basket.so
%_libdir/kde3/libbasketpart.la
%_libdir/kde3/libbasketpart.so
%_libdir/kde3/libkontact_basket.la
%_libdir/kde3/libkontact_basket.so
%_libdir/libbasketcommon.la
%_libdir/libbasketcommon.so

%_datadir/apps/basket/basket_part.rc
%_datadir/apps/basket/images/tag_export_help.png
%_datadir/apps/basket/images/tag_export_on_every_lines_help.png
%_datadir/apps/kontact/ksettingsdialog/kontact_basketplugin.setdlg
%_datadir/icons/crystalsvg/16x16/actions/likeback_configure.png
%_datadir/icons/crystalsvg/16x16/actions/likeback_dislike.png
%_datadir/icons/crystalsvg/16x16/actions/likeback_like.png
%_datadir/services/basket_config_apps.desktop
%_datadir/services/basket_config_features.desktop
%_datadir/services/basket_config_general.desktop
%_datadir/services/basket_config_notes.desktop
%_datadir/services/basket_part.desktop
%_datadir/services/kontact/basket.desktop

%{_iconsdir}/%{name}.png
%{_iconsdir}/crystalsvg/128x128/apps/%{name}.png
%{_iconsdir}/crystalsvg/16x16/apps/%{name}.png
%{_iconsdir}/crystalsvg/16x16/actions/*.png
%{_iconsdir}/crystalsvg/22x22/apps/%{name}.png
%{_iconsdir}/crystalsvg/32x32/apps/%{name}.png
%{_iconsdir}/crystalsvg/48x48/apps/%{name}.png
%{_iconsdir}/crystalsvg/64x64/apps/%{name}.png
%{_iconsdir}/crystalsvg/scalable/apps/%{name}.svg
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%dir %{_datadir}/apps/%{name}
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/apps/%{name}/%{name}ui.rc
%{_datadir}/apps/%{name}/backgrounds
%{_datadir}/apps/%{name}/icons/crystalsvg/16x16/actions/*
%{_datadir}/apps/%{name}/images/insertion_help.png

%doc %{_docdir}/HTML/en/basket/*


%changelog
* Fri Aug 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/04/06 18:52:06 (52779)
- Add missing source

* Fri Aug 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/04/06 18:49:42 (52776)
- Increase release
- sync with cvs ( fix kontact crash ( ticket #24132))


* Wed Aug 02 2006 Laurent Montel <lmontel@mandriva.com>
+ 08/02/06 09:59:02 (42951)
Use xdg menu


* Wed Aug 02 2006 Laurent Montel <lmontel@mandriva.com>
+ 08/02/06 09:49:41 (42950)
beta2


* Sun Jul 30 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 07/30/06 10:18:07 (42673)
import basket-0.6.0-1.alpha2.1mdk

* Tue Apr 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-1.alpha2.1mdk
- Alpha 2  : Thanks jq for pointing me out this release

* Thu Jan 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-0.alpha1.2mdk
- Fix Build for x86_64

* Wed Jan 18 2006 Nicolas Lcureuil <neoclust@mandrake.org> 0.6.0-0.alpha1.1mdk
- 0.6.0 Alpha1

* Tue Jul 12 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.0-3mdk
- Fix File section

* Thu May 05 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.0-2mdk
- Fix BuildRequires 
- Fix Build For amd64

* Tue Apr 05 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.0-1mdk
- First release

